% Doesn't work in case of double superscripts
%\newcommand{\units}[1]{\ensuremath{#1}^{\times}}

% @param 1	Base ring
% @param 2	Variable symbol (or whatever between the brackets '[]')
\newcommand{\polring}[2]{\ensuremath{{#1}\left[#2\right]}}

% @param 1	Base ring
% @param 2	Number of rows
% @param 3	Number of columns
\newcommand{\matring}[3]{\ensuremath{{#1}^{{#2}\times{#3}}}}

%% Hom_{#1}(A,B)
\DeclareMathOperator{\operatorHom}{Hom}
\newcommand{\Hom}[3]{\ensuremath{\operatorHom_{#1}({#2},\,{#3})}}
%% End_{#1}(A)
\DeclareMathOperator{\operatorEnd}{End}
\newcommand{\End}[2]{\ensuremath{\operatorEnd_{#1}\left({#2}\right)}}
